export declare enum Page {
    left = "left",
    right = "right",
    center = "center"
}
/**
 * Properties associated to the linked resource.
 *
 * This is opened for extensions.
 * https://readium.org/webpub-manifest/schema/link.schema.json
 */
export declare class Properties {
    otherProperties: {
        [key: string]: any;
    };
    constructor(values: {
        [key: string]: any;
    });
    get page(): Page | undefined;
    /**
     * Creates a [Properties] from its RWPM JSON representation.
     */
    static deserialize(json: any): Properties | undefined;
    /**
     * Serializes a [Properties] to its RWPM JSON representation.
     */
    serialize(): any;
    /**
     * Makes a copy of this [Properties] after merging in the given additional other [properties].
     */
    add(properties: {
        [key: string]: any;
    }): Properties;
}
